object fmXMLTestMain: TfmXMLTestMain
  Left = 127
  Top = 82
  AutoScroll = False
  Caption = 'XML Reader & Writer Demo'
  ClientHeight = 396
  ClientWidth = 486
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  Menu = MainMenu
  OldCreateOrder = False
  Position = poScreenCenter
  ShowHint = True
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object spNode: TSplitter
    Left = 302
    Top = 97
    Width = 3
    Height = 280
    Cursor = crHSplit
    Align = alRight
    Visible = False
  end
  object tvNodes: TTreeView
    Left = 0
    Top = 97
    Width = 302
    Height = 280
    Align = alClient
    Indent = 19
    ReadOnly = True
    TabOrder = 1
    OnChange = tvNodesChange
    OnExpanding = tvNodesExpanding
  end
  object sbStatus: TStatusBar
    Left = 0
    Top = 377
    Width = 486
    Height = 19
    Panels = <
      item
        Width = 400
      end
      item
        Alignment = taCenter
        Width = 100
      end
      item
        Width = 60
      end>
    SimplePanel = False
    OnResize = sbStatusResize
  end
  object paTool: TPanel
    Left = 0
    Top = 0
    Width = 486
    Height = 97
    Align = alTop
    BevelOuter = bvLowered
    TabOrder = 0
    DesignSize = (
      486
      97)
    object laTimeToOpen: TLabel
      Left = 216
      Top = 36
      Width = 81
      Height = 13
      Caption = 'Time To Open'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object laTimeToSave: TLabel
      Left = 216
      Top = 56
      Width = 80
      Height = 13
      Caption = 'Time To Save'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object laTimeToFree: TLabel
      Left = 216
      Top = 76
      Width = 76
      Height = 13
      Caption = 'Time To Free'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object Label1: TLabel
      Left = 168
      Top = 36
      Width = 26
      Height = 13
      Caption = 'Open'
    end
    object Label2: TLabel
      Left = 168
      Top = 56
      Width = 25
      Height = 13
      Caption = 'Save'
    end
    object Label3: TLabel
      Left = 168
      Top = 76
      Width = 21
      Height = 13
      Caption = 'Free'
    end
    object Label4: TLabel
      Left = 8
      Top = 36
      Width = 148
      Height = 13
      Caption = 'Time and memory performance:'
    end
    object sbNode: TSpeedButton
      Left = 404
      Top = 68
      Width = 75
      Height = 25
      Hint = 'Show node details'
      AllowAllUp = True
      Anchors = [akRight, akBottom]
      GroupIndex = 1
      Caption = 'Node Details'
      OnClick = sbNodeClick
    end
    object buOpen: TButton
      Left = 4
      Top = 4
      Width = 75
      Height = 25
      Action = acOpen
      TabOrder = 0
    end
    object buNew: TButton
      Left = 84
      Top = 4
      Width = 75
      Height = 25
      Action = acNew
      TabOrder = 1
    end
    object btnFullExpand: TButton
      Left = 4
      Top = 68
      Width = 75
      Height = 25
      Anchors = [akLeft, akBottom]
      Caption = 'Full Expand'
      TabOrder = 6
      OnClick = btnFullExpandClick
    end
    object buSave: TButton
      Left = 164
      Top = 4
      Width = 75
      Height = 25
      Action = acSave
      TabOrder = 2
    end
    object buFree: TButton
      Left = 244
      Top = 4
      Width = 75
      Height = 25
      Action = acFree
      TabOrder = 3
    end
    object btnWriteTest: TButton
      Left = 324
      Top = 4
      Width = 75
      Height = 25
      Action = acWriteTest
      TabOrder = 4
    end
    object buMSXML: TButton
      Left = 404
      Top = 4
      Width = 75
      Height = 25
      Action = acMSXML
      TabOrder = 5
    end
  end
  object pbProgress: TProgressBar
    Left = 508
    Top = 344
    Width = 92
    Height = 16
    Min = 0
    Max = 100
    Smooth = True
    TabOrder = 3
  end
  object meNode: TRichEdit
    Left = 305
    Top = 97
    Width = 181
    Height = 280
    Align = alRight
    BorderWidth = 5
    ReadOnly = True
    ScrollBars = ssVertical
    TabOrder = 4
    Visible = False
  end
  object opdXMLFile: TOpenDialog
    OnShow = opdXMLFileShow
    DefaultExt = '*.xml'
    Filter = 'XML Files (*.xml)|*.xml'
    Title = 'Open XML File'
    Left = 20
    Top = 116
  end
  object svdXMLFile: TSaveDialog
    DefaultExt = '*.xml'
    Filter = 'XML Files (*.xml)|*.xml'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofEnableSizing]
    Title = 'Save XML File'
    Left = 52
    Top = 116
  end
  object XMLDoc: TXMLDocument
    OnReadProgress = XMLDocReadProgress
    OnWriteProgress = XMLDocWriteProgress
    Left = 40
    Top = 196
  end
  object ActionList: TActionList
    Left = 116
    Top = 204
    object acOpen: TAction
      Category = 'FILE'
      Caption = '&Open'
      Hint = 'Open XML document'
      OnExecute = acOpenExecute
      OnUpdate = acOpenUpdate
    end
    object acNew: TAction
      Category = 'FILE'
      Caption = '&New'
      Hint = 'Create new XML document'
      OnExecute = acNewExecute
      OnUpdate = acNewUpdate
    end
    object acSave: TAction
      Category = 'FILE'
      Caption = '&Save'
      OnExecute = acSaveExecute
      OnUpdate = acSaveUpdate
    end
    object acFree: TAction
      Category = 'FILE'
      Caption = '&Free'
      OnExecute = acFreeExecute
      OnUpdate = acFreeUpdate
    end
    object acWriteTest: TAction
      Category = 'FILE'
      Caption = '&Write Test'
      OnExecute = acWriteTestExecute
      OnUpdate = acWriteTestUpdate
    end
    object acMSXML: TAction
      Category = 'FILE'
      Caption = '&MSXML'
      Hint = 'Open XML document using MSXML3 parser'
      OnExecute = acMSXMLExecute
      OnUpdate = acMSXMLUpdate
    end
    object acIncTree: TAction
      Category = 'OPTIONS'
      Caption = 'Incremental Tree Fill'
      Hint = 'Incremental fill of XML document model to tree nodes'
      OnExecute = acIncTreeExecute
      OnUpdate = acIncTreeUpdate
    end
    object acPreserveWhiteSpace: TAction
      Category = 'OPTIONS'
      Caption = 'Preserve White Space'
      OnExecute = acPreserveWhiteSpaceExecute
      OnUpdate = acPreserveWhiteSpaceUpdate
    end
    object acMixedContent: TAction
      Category = 'OPTIONS'
      Caption = 'Mixed Content'
      OnExecute = acMixedContentExecute
      OnUpdate = acMixedContentUpdate
    end
    object acFormatOutput: TAction
      Category = 'OPTIONS'
      Caption = 'Format Output'
      OnExecute = acFormatOutputExecute
      OnUpdate = acFormatOutputUpdate
    end
  end
  object MainMenu: TMainMenu
    Left = 116
    Top = 156
    object File1: TMenuItem
      Caption = 'File'
      object Open1: TMenuItem
        Action = acOpen
      end
      object New1: TMenuItem
        Action = acNew
      end
      object Save1: TMenuItem
        Action = acSave
      end
      object Free1: TMenuItem
        Action = acFree
      end
      object N1: TMenuItem
        Caption = '-'
      end
      object WriteTest1: TMenuItem
        Action = acWriteTest
      end
      object MSXML1: TMenuItem
        Action = acMSXML
      end
    end
    object Options1: TMenuItem
      Caption = 'Options'
      object IncrementalTreeFill1: TMenuItem
        Action = acIncTree
      end
      object XMLDocumentreadoptions1: TMenuItem
        Caption = 'XML Read Options'
        object PreserveWhiteSpace1: TMenuItem
          Action = acPreserveWhiteSpace
        end
        object MixedContent1: TMenuItem
          Action = acMixedContent
        end
      end
      object WriteOptions1: TMenuItem
        Caption = 'XML Write Options'
        object FormatOutput1: TMenuItem
          Action = acFormatOutput
        end
      end
    end
  end
end
